Subject: bug#44854: [PATCH] Add lexical-binding cookie to autoload files

From: Stefan Kangas <[email-masked]>
Date: Tue, 24 Nov 2020 12:46:39 -0800

Eli Zaretskii <[email-masked]> writes:

>> Does anyone have any objections to, or see any problems with adding the
>> lexical-binding cookie to autoload files, as in the attached patch?
>
> What are the benefits from doing so?

AFAICT, there are no immediate practical benefits.  But if we ever want
to have lexical-binding enabled by default, many things will have to be
done.  This is just another (admittedly small) step on that long journey.